export declare const ZERO: Readonly<{
    years: number;
    months: number;
    weeks: number;
    days: number;
    hours: number;
    minutes: number;
    seconds: number;
    milliseconds: number;
}>;
export declare type UnitKey = keyof typeof ZERO;
interface Unit {
    milliseconds: number;
    addToDate(date: Date, value: number): number;
    dateGetter(date: Date): number;
    ISOCharacter?: string;
    ISOPrecision?: 'period' | 'time';
    stringifyConvertTo?: UnitKey;
}
export declare const UNITS_MAP: {
    [key in UnitKey]: Unit;
};
export declare const UNIT_KEYS: readonly ["years", "months", "weeks", "days", "hours", "minutes", "seconds", "milliseconds"];
export declare const UNITS: {
    unit: "years" | "months" | "weeks" | "days" | "hours" | "minutes" | "seconds" | "milliseconds";
    milliseconds: number;
    addToDate(date: Date, value: number): number;
    dateGetter(date: Date): number;
    ISOCharacter?: string | undefined;
    ISOPrecision?: "time" | "period" | undefined;
    stringifyConvertTo?: "years" | "months" | "weeks" | "days" | "hours" | "minutes" | "seconds" | "milliseconds" | undefined;
}[];
export {};
