"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var units_1 = require("./units");
exports.validate = function (duration) {
    Object.keys(duration).forEach(function (unit) {
        if (!units_1.UNIT_KEYS.includes(unit)) {
            throw new TypeError("Unexpected property \"" + unit + "\" on Time object.");
        }
        if (
        // tslint:disable-next-line:strict-type-predicates
        typeof duration[unit] !== 'number' ||
            Number.isNaN(duration[unit]) ||
            duration[unit] !== Math.floor(duration[unit])) {
            throw new TypeError("Property \"" + unit + "\" must be a an integer. Received " + duration[unit] + ".");
        }
    });
};
//# sourceMappingURL=validate.js.map