import { Duration, DurationInput } from './types';
/**
 * Convert a `Time` object or number of milliseconds into a complete
 * `Time` object that expresses the duration in the most appropriate units.
 *
 * @example
 * normalize({ milliseconds 4000 })
 * // { remaining.years: 0, months: 0, weeks: 0, days: 0, hours: 0, minutes: 0, seconds: 4, milliseconds: 0 }
 */
export declare const normalize: (duration: DurationInput, referenceDate?: string | number | Date | undefined) => Duration;
