"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var negate_1 = require("./negate");
var sum_1 = require("./sum");
/**
 * Add values to the current duration.
 *
 * @example toDays(addTime({ days: 1 }, { hours: 12 })) // 1.5
 * @returns a number in milliseconds
 */
exports.subtract = function (duration) {
    var durationsToSubtract = [];
    for (var _i = 1; _i < arguments.length; _i++) {
        durationsToSubtract[_i - 1] = arguments[_i];
    }
    return sum_1.sum.apply(void 0, [duration].concat(durationsToSubtract.map(negate_1.negate)));
};
//# sourceMappingURL=subtract.js.map